在要求输入邮箱的文本域,请填写真实的邮件地址。非真实邮件地址,将收不到回复信息。

System.Data.OracleClient需要Oracle 客户端软件version 8.1.7或更高版本

DotNet 清风 10℃ 0评论

背景

因业务需求需要进行数据同步,客户又没有提供相关的接口。经过协商,客户提供相关视图直连他们数据库。

数据库:Oracle 11g

问题

使用.net访问Oracle数据出现以下错误:

System.Data.OracleClient 需要Oracle 客户端软件 version 8.1.7 或 更高版本

解决

  • 找到Oracle安装文件夹找到oci.dlloraociei11.dll两个dll文件
  • 将以上两个文件放到system32目录下或者程序的bin目录下

下载

Oracle_11g提取码:hrbc
以上下载地址中的文件就是本文中提到的两个DLL文件

转载请注明:清风博客 » System.Data.OracleClient需要Oracle 客户端软件version 8.1.7或更高版本

喜欢 (2)or分享 (0)
支付宝扫码打赏 微信打赏
发表我的评论
取消评论

CAPTCHA Image
Reload Image
表情

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址